Bug 1486882 (CVE-2017-14062) - CVE-2017-14062 libidn2: Integer overflow in puny_decode.c/decode_digit
Summary: CVE-2017-14062 libidn2: Integer overflow in puny_decode.c/decode_digit
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-14062
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1452750 1486883 1486884 1486885 1488128
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-30 17:25 UTC by Pedro Sampaio
Modified: 2019-09-29 14:19 UTC (History)
4 users (show)

Fixed In Version: libidn2 2.0.4.1, libidn 1.34-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:23:11 UTC


Attachments (Terms of Use)

Comment 1 Pedro Sampaio 2017-08-30 17:27:11 UTC
Created libidn2 tracking bugs for this issue:

Affects: epel-all [bug 1486884]
Affects: fedora-all [bug 1486885]


Created mingw-libidn2 tracking bugs for this issue:

Affects: fedora-all [bug 1486883]

Comment 2 Pedro Sampaio 2017-09-04 12:01:11 UTC
Created mingw-libidn2 tracking bugs for this issue:

Affects: epel-7 [bug 1488128]

Comment 3 Fedora Update System 2018-04-06 11:09:39 UTC
libidn-1.34-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2018-04-06 15:02:27 UTC
libidn-1.34-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.